ISDN interface
Public interface » ID macros

Handle ISDN devices. More...

## Data Structures

struct | cdb_isdn_vendor
| vendor info More...
struct | cdb_isdn_card
struct | cdb_isdn_vario

## Macros

#define | CDBISDN_VERSION 0x0101
#define | PCI_ANY_ID 0xffff
#define | CDBISDN_P_NONE 0x0
#define | CDBISDN_P_IRQ 0x1
#define | CDBISDN_P_MEM 0x2
#define | CDBISDN_P_IO 0x3

## Functions

cdb_isdn_vendor * | hd_cdbisdn_get_vendor (int)
cdb_isdn_card * | hd_cdbisdn_get_card (int)
cdb_isdn_vario * | hd_cdbisdn_get_vario_from_type (int, int)
cdb_isdn_card * | hd_cdbisdn_get_card_from_type (int, int)
cdb_isdn_card * | hd_cdbisdn_get_card_from_id (int, int, int, int)
cdb_isdn_vario * | hd_cdbisdn_get_vario (int)
int | hd_cdbisdn_get_version (void)
int | hd_cdbisdn_get_db_version (void)
char * | hd_cdbisdn_get_db_date (void)

## Detailed Description

Handle ISDN devices.

Author
  (C) 2003 kkeil.nosp@m.@sus.nosp@m.e.de

## Macro Definition Documentation

## CDBISDN_P_IO

#define CDBISDN_P_IO 0x3

Referenced by isdn_driver().

## CDBISDN_P_IRQ

#define CDBISDN_P_IRQ 0x1

Referenced by isdn_driver().

## CDBISDN_P_MEM

#define CDBISDN_P_MEM 0x2

Referenced by isdn_driver().

## CDBISDN_P_NONE

#define CDBISDN_P_NONE 0x0

## CDBISDN_VERSION

#define CDBISDN_VERSION 0x0101

Referenced by hd_cdbisdn_get_version().

## PCI_ANY_ID

#define PCI_ANY_ID 0xffff

Referenced by add_current_item(), hd_cdbisdn_get_card_from_id(), and new_entry().

## Function Documentation

## hd_cdbisdn_get_card()

cdb_isdn_card * hd_cdbisdn_get_card | ( | int | handle | ) |

extern

References cdb_isdncard_info, CDBISDN_card_cnt, CDBISDN_readhwdb, and init_cdbisdn().

## hd_cdbisdn_get_card_from_id()

cdb_isdn_card * hd_cdbisdn_get_card_from_id | ( | int | vendor,
|  | int | device,
|  | int | subvendor,
|  | int | subdevice )

extern

References cdb_isdncard_idsorted, cdb_isdncard_info, CDBISDN_card_cnt, CDBISDN_readhwdb, compare_id(), debprintf, device, init_cdbisdn(), PCI_ANY_ID, and vendor.

Referenced by get_dsl_info(), and get_isdn_info().

## hd_cdbisdn_get_card_from_type()

cdb_isdn_card * hd_cdbisdn_get_card_from_type | ( | int | typ,
|  | int | subtyp )

extern

References cdb_isdn_vario::card_ref, cdb_isdncard_info, CDBISDN_readhwdb, hd_cdbisdn_get_vario_from_type(), and init_cdbisdn().

Referenced by get_isdn_info().

## hd_cdbisdn_get_db_date()

char * hd_cdbisdn_get_db_date | ( | void |  | ) |

extern

References cdb_date, CDBISDN_readhwdb, and init_cdbisdn().

## hd_cdbisdn_get_db_version()

int hd_cdbisdn_get_db_version | ( | void |  | ) |

extern

References cdb_dbversion, CDBISDN_readhwdb, and init_cdbisdn().

## hd_cdbisdn_get_vario()

cdb_isdn_vario * hd_cdbisdn_get_vario | ( | int | handle | ) |

extern

References cdb_isdnvario_info, CDBISDN_readhwdb, CDBISDN_vario_cnt, and init_cdbisdn().

Referenced by dsl_driver(), get_dsl_info(), and isdn_driver().

## hd_cdbisdn_get_vario_from_type()

cdb_isdn_vario * hd_cdbisdn_get_vario_from_type | ( | int | typ,
|  | int | subtyp )

extern

References cdb_isdnvario_info, CDBISDN_readhwdb, CDBISDN_vario_cnt, compare_type(), debprintf, init_cdbisdn(), cdb_isdn_vario::subtyp, and cdb_isdn_vario::typ.

Referenced by hd_cdbisdn_get_card_from_type().

## hd_cdbisdn_get_vendor()

cdb_isdn_vendor * hd_cdbisdn_get_vendor | ( | int | handle | ) |

extern

References cdb_isdnvendor_info, CDBISDN_readhwdb, CDBISDN_vendor_cnt, and init_cdbisdn().

## hd_cdbisdn_get_version()

int hd_cdbisdn_get_version | ( | void |  | ) |

extern

References CDBISDN_readhwdb, CDBISDN_VERSION, and init_cdbisdn().